--
-- Legras
-- This is the specialization for the trailer Legras 
--
-- @author  Frabel ls modding
-- @date  23/12/16

Legras = {};

function Legras.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function Legras:load(savegame)
	self.getCanTipToGround = Legras.getCanTipToGround;	
end;
function Legras:delete()
end;

function Legras:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Legras:keyEvent(unicode, sym, modifier, isDown)
end;

function Legras:update(dt)
                    
	end; 
function Legras:updateTick(dt)
  
end;

function Legras:draw()
    
end;

function  Legras:readStream(streamId, connection)
end;

function  Legras:writeStream(streamId, connection)
end;

function Legras:getCanTipToGround()
    if TipUtil.isValid() and not self.pipeStateIsUnloading[self.pipeCurrentState] and not self:getIsUnfolded() then
        local currentFillType = self:getUnitFillType(self.trailer.fillUnitIndex);
	        if currentFillType == FillUtil.FILLTYPE_UNKNOWN then
	            return true;
	        end
	        return TipUtil.getCanTipToGround(currentFillType);
	    else
	        return false;
	    end
	end
